<?php
//ini_set('display_error',1);
date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

require_once ("../../config/Cado.php");
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
require_once ("../grafica/cGrafica.php");
$oGrafica = new cGrafica();


?>
<style type="text/css">
select{
	cursor:pointer;
}

</style>


  
  
  
<div class="col-lg-12 col-md-12 col-sm-12 col-12">
	
	<div class="row">

	
	<div id="ventascompras_soles" class="col-lg-12 col-sm-12 col-12" style="height:400px;" >
		
		
	
	</div>
	<!--
	<div id="ventascompras_dolares" class="col-lg-6 col-sm-6 col-xs-12" style="height:400px;" >
		
		
	
	</div>
-->

	</div>
	
</div>

<script type="text/javascript">



	$(function() {
		
	$("#ventascompras_soles").highcharts({
		
    chart: {
        type: 'column'
    },
    title: {
        text: 'Servicios y sistemas informaticos del Peru'
    },
    subtitle: {
        text: 'Web: tecnologyperu.com'
    },
    xAxis: {
        categories: [
			'Enero',
            'Febrero',
            'Marzo',
            'Abril',
            'Mayo',
            'Junio',
            'Julio.',
            'Agosto',
            'Septiembre',
            'Octubre',
            'Noviembre',
            'Diciembre'		
        ],
        crosshair: true
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Ventas - Compras (S/)'
        }
    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y: .1f} PEN </b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        column: {
            pointPadding: 0.2,
            borderWidth: 0
        }
    },
    series: [{
        name: 'Ventas',
        data: [
		
		<?php 
		$nummes = 12;
		for($i=1;$i<=$nummes;$i++){
			
			$fec1 = '01-'.$i.'-'.$_POST['anio'];
			$fec2 = '31-'.$i.'-'.$_POST['anio'];
			
			$dts=$oGrafica->filtroVentas('',fecha_mysql($fec1),fecha_mysql($fec2),'1');
			$dt = mysqli_fetch_array($dts);
			
			$totalventa =  moneda_mysql(formato_money($dt['totalventa']));
		?>
			<?php echo $totalventa; ?>,
		<?php 
			mysqli_free_result($dts);
		}
			
		?>
		
		]

    }, {
        name: 'Compras',
        data: [
		
		<?php 
		$nummesc = 12;
		for($c=1;$c<=$nummesc;$c++){
			
			$fec1 = '01-'.$c.'-'.$_POST['anio'];
			$fec2 = '31-'.$c.'-'.$_POST['anio'];
			
			$dts=$oGrafica->filtroCompras('',fecha_mysql($fec1),fecha_mysql($fec2),'1');
			$dt = mysqli_fetch_array($dts);
			
				$totalcompra = moneda_mysql(formato_money($dt['totalcompra']));
		?>
			<?php echo $totalcompra; ?>,
		<?php 
			mysqli_free_result($dts);
		
		}
		?>
		
		]

    }]
});
			
		/*	
	$("#ventascompras_dolares").highcharts({
		
    chart: {
        type: 'column'
    },
    title: {
        text: 'Servicios y sistemas informaticos del Peru'
    },
    subtitle: {
        text: 'Web: tecnologyperu.com'
    },
    xAxis: {
        categories: [
			'Enero',
            'Febrero',
            'Marzo',
            'Abril',
            'Mayo',
            'Junio',
            'Julio.',
            'Agosto',
            'Septiembre',
            'Octubre',
            'Noviembre',
            'Diciembre'		
        ],
        crosshair: true
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Ventas - Compras (US$)'
        }
    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.1f} US$ </b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        column: {
            pointPadding: 0.2,
            borderWidth: 0
        }
    },
    series: [{
        name: 'Ventas',
        data: [
		
		<?php 
		$nummes = 12;
		for($i=1;$i<=$nummes;$i++){
			
			$fec1 = '01-'.$i.'-'.$_POST['anio'];
			$fec2 = '31-'.$i.'-'.$_POST['anio'];
			
			$dts=$oGrafica->filtroVentas('',fecha_mysql($fec1),fecha_mysql($fec2),'2');
			$dt = mysqli_fetch_array($dts);
			
				$totalventa = moneda_mysql(formato_money($dt['totalventa']));
		?>
			<?php echo $totalventa; ?>,
		<?php 
			mysqli_free_result($dts);
		}
		?>
		]

    }, {
        name: 'Compras',
        data: [
		
		<?php 
		$nummes = 12;
		for($i=1;$i<=$nummes;$i++){
			
			$fec1 = '01-'.$i.'-'.$_POST['anio'];
			$fec2 = '31-'.$i.'-'.$_POST['anio'];
			
			$dts=$oGrafica->filtroCompras('',fecha_mysql($fec1),fecha_mysql($fec2),'2');
			$dt = mysqli_fetch_array($dts);
			
				$totalcompra = moneda_mysql(formato_money($dt['totalcompra']));
		?>
			<?php echo $totalcompra; ?>,
		<?php 
			mysqli_free_result($dts);
		}
		?>
		
		]

    }]
});
			
		
		*/	
		
			
		}); 

</script>
